package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.MerchantSettleRecord;

/**
 * 商户结算记录Mapper接口
 * 
 * @author elev
 * @date 2022-01-10
 */
public interface MerchantSettleRecordMapper {
    /**
     * 查询商户结算记录
     * 
     * @param settleId 商户结算记录主键
     * @return 商户结算记录
     */
    MerchantSettleRecord selectMerchantSettleRecordBySettleId(Long settleId);

    /**
     * 查询商户结算记录列表
     * 
     * @param merchantSettleRecord 商户结算记录
     * @return 商户结算记录集合
     */
    List<MerchantSettleRecord> selectMerchantSettleRecordList(MerchantSettleRecord merchantSettleRecord);

    /**
     * 新增商户结算记录
     * 
     * @param merchantSettleRecord 商户结算记录
     * @return 结果
     */
    int insertMerchantSettleRecord(MerchantSettleRecord merchantSettleRecord);

    /**
     * 修改商户结算记录
     * 
     * @param merchantSettleRecord 商户结算记录
     * @return 结果
     */
    int updateMerchantSettleRecord(MerchantSettleRecord merchantSettleRecord);

    /**
     * 删除商户结算记录
     * 
     * @param settleId 商户结算记录主键
     * @return 结果
     */
    int deleteMerchantSettleRecordBySettleId(Long settleId);

    /**
     * 批量删除商户结算记录
     * 
     * @param settleIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteMerchantSettleRecordBySettleIds(Long[] settleIds);

    boolean saveBatch(List<MerchantSettleRecord> merchantSettleRecords);
}
